- Qt 6.8
- Qt GUI
- C++ Classes
- QAccessibleValueChangeEvent
- Qt 6.8.3 Reference Documentation

# QAccessibleValueChangeEvent Class

The QAccessibleValueChangeEvent describes a change in value for an accessible object. More...

Header: | `#include <QAccessibleValueChangeEvent>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Inherits: | QAccessibleEvent

- List of all members, including inherited members

## Public Functions

| QAccessibleValueChangeEvent(QAccessibleInterface *iface, const QVariant &val)
| QAccessibleValueChangeEvent(QObject *object, const QVariant &value)
void | setValue(const QVariant &value)
QVariant | value() const

## Detailed Description

It contains the new value.

This class is used with QAccessible::updateAccessibility().

## Member Function Documentation

### QAccessibleValueChangeEvent::QAccessibleValueChangeEvent(QAccessibleInterface *iface, const QVariant &val)

Constructs a new QAccessibleValueChangeEvent for iface. The event contains the new value val.

### QAccessibleValueChangeEvent::QAccessibleValueChangeEvent(QObject *object, const QVariant &value)

Constructs a new QAccessibleValueChangeEvent for object. The event contains the new value.

### void QAccessibleValueChangeEvent::setValue(const QVariant &value)

Sets the new value for this event.

See also value().

### QVariant QAccessibleValueChangeEvent::value() const

Returns the new value of the accessible object of this event.

See also setValue().